Reject a pending application (an already rejected one answers changed: false)
POST
/api/public/v1/campaign_applications/{id}/denyLiveAnswers from your brand's records now.
Operation id denyCampaignApplication
Request
curl
curl -X POST "https://creator.growthdept.ai/api/public/v1/campaign_applications/1024/deny" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| id | path | integer | required |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.campaign_affiliate_id | integer, nullable | |
| data.campaign_id | integer | |
| data.changed | boolean | |
| data.id | integer | |
| data.status | string | |
| data.user_id | integer |
Example
{
"data": {
"campaign_affiliate_id": 1024,
"campaign_id": 1024,
"changed": true,
"id": 1024,
"status": "string",
"user_id": 1024
}
}Errors: 401403404422with an error and usually a message. See errors.
Example values are made up from each field's type and name.